View Issue Details

IDProjectCategoryView StatusLast Update
0002034XdebugUncategorizedpublic2021-10-15 13:19
ReporterMG Assigned Toderick  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.0 
Target Version3.1devFixed in Version3.1.1 
Summary0002034: Xdebug throws a Segmentation fault when 'set_time_limit' function is disabled
DescriptionXdebug throws a Segmentation fault when 'set_time_limit' function is disabled

```
php -v
 PHP 8.0.11 (cli) (built: Sep 28 2021 14:47:01) ( NTS )
 Copyright (c) The PHP Group
 Zend Engine v4.0.11, Copyright (c) Zend Technologies
     with Xdebug v3.1.0, Copyright (c) 2002-2021, by Derick Rethans
```
Steps To ReproduceAdd following setting to your php ini file:

```
disable_functions = set_time_limit
```


Start php cli (even without script file)

```
php -m
Segmentation fault (core dumped)
```
Additional InformationBug has been reproduced in:
 - apache module mode
 - cli mode

Docker container used, built from official Debian-based image
Tagscrash, php8.0
Operating SystemDebian Buster
PHP Version8.0.5-8.0.9

Activities

derick

2021-10-12 10:09

administrator   ~0006107

I can reproduce this on PHP 8 and later, with this one liner:

php -n -dzend_extension=xdebug -ddisable_functions=set_time_limit -m

derick

2021-10-12 14:43

administrator   ~0006108

https://github.com/xdebug/xdebug/pull/800

derick

2021-10-12 15:11

administrator   ~0006109

Fixed for 3.1.1.

Issue History

Date Modified Username Field Change
2021-10-12 07:05 MG New Issue
2021-10-12 07:05 MG Tag Attached: crash
2021-10-12 07:05 MG Tag Attached: php8.0
2021-10-12 10:09 derick Assigned To => derick
2021-10-12 10:09 derick Status new => confirmed
2021-10-12 10:09 derick Note Added: 0006107
2021-10-12 10:09 derick Target Version => 3.1dev
2021-10-12 14:43 derick Note Added: 0006108
2021-10-12 15:11 derick Status confirmed => closed
2021-10-12 15:11 derick Resolution open => fixed
2021-10-12 15:11 derick Fixed in Version => 3.1dev
2021-10-12 15:11 derick Note Added: 0006109
2021-10-15 13:19 derick Fixed in Version 3.1dev => 3.1.1